package com.goafanti.order.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class OutMemberList {
    private static final int MINWIDTH=7;
    private Integer id;
    @Excel(name = "合同编号")
    private String contractNo;
    @Excel(name = "客户名称")
    private String userName;
    @Excel(name = "订单编号")
    private String orderNo;
    @Excel(name = "特批状态",readConverterExp = "0=非特批，1=待审核，2=通过，3=驳回",width = MINWIDTH)
    private Integer approval;
    @Excel(name = "特批类型")
    private String type;
    private String typeExplain;

    @Excel(name = "订单部门",width = 20)
    private String depName;
    @Excel(name = "订单负责人")
    private String salesmanName;
    @Excel(name = "财务负责人")
    private String financeName;
    @Excel(name = "会员项目")
    private String projectName;
    @Excel(name = "项目说明",width = 24)
    private String taskComment;
    @Excel(name = "状态",readConverterExp = "0=非审核，1=财务审核，2=特批审核，3=通过，4=驳回",width = MINWIDTH)
    private Integer status;
    /** 特批分类  0非特批 1总裁特批 2副总裁特批*/
    private Integer approvalType;

    private Integer  deleteSign;

    private BigDecimal totalAmount;
    private Integer salesType;
    private String other;
    private String commodityId;
    private String commodityName;
    private Integer memberType;
    private Integer commodityQuantity;

    @Excel(name = "订单状态" ,width = MINWIDTH)
    private String deleteSignStr;
    @Excel(name = "客户类型",width = MINWIDTH)
    private String bigUser;
    @Excel(name = "销售类型")
    private String salesTypeName;

    private String pictureUrl;
    @Excel(name = "服务年份",cellType = Excel.ColumnType.STRING)
    private String serviceLife;
    @Excel(name = "本次年份")
    private String serviceYear;
    @Excel(name = "服务年数",width = MINWIDTH)
    private Integer yearSum;
    private String contractTerm;

    private Integer myExamine;
    private Integer examineType;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTypeExplain() {
        return typeExplain;
    }

    public void setTypeExplain(String typeExplain) {
        this.typeExplain = typeExplain;
    }

    public Integer getApprovalType() {
        return approvalType;
    }

    public void setApprovalType(Integer approvalType) {
        this.approvalType = approvalType;
    }

    public Integer getExamineType() {
        return examineType;
    }

    public void setExamineType(Integer examineType) {
        this.examineType = examineType;
    }

    public Integer getMyExamine() {
        return myExamine;
    }

    public void setMyExamine(Integer myExamine) {
        this.myExamine = myExamine;
    }

    public String getContractTerm() {
        return contractTerm;
    }

    public void setContractTerm(String contractTerm) {
        this.contractTerm = contractTerm;
    }

    public String getServiceLife() {
        return serviceLife;
    }

    public void setServiceLife(String serviceLife) {
        this.serviceLife = serviceLife;
    }

    public String getServiceYear() {
        return serviceYear;
    }

    public void setServiceYear(String serviceYear) {
        this.serviceYear = serviceYear;
    }

    public Integer getYearSum() {
        return yearSum;
    }

    public void setYearSum(Integer yearSum) {
        this.yearSum = yearSum;
    }

    public String getPictureUrl() {
        return pictureUrl;
    }

    public void setPictureUrl(String pictureUrl) {
        this.pictureUrl = pictureUrl;
    }

    public String getDeleteSignStr() {
        return deleteSignStr;
    }

    public void setDeleteSignStr(String deleteSignStr) {
        this.deleteSignStr = deleteSignStr;
    }

    public String getBigUser() {
        return bigUser;
    }

    public void setBigUser(String bigUser) {
        this.bigUser = bigUser;
    }

    public String getSalesTypeName() {
        return salesTypeName;
    }

    public void setSalesTypeName(String salesTypeName) {
        this.salesTypeName = salesTypeName;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getSalesType() {
        return salesType;
    }

    public void setSalesType(Integer salesType) {
        this.salesType = salesType;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public Integer getDeleteSign() {
        return deleteSign;
    }

    public void setDeleteSign(Integer deleteSign) {
        this.deleteSign = deleteSign;
    }

    public String getCommodityId() {
        return commodityId;
    }

    public void setCommodityId(String commodityId) {
        this.commodityId = commodityId;
    }

    public String getCommodityName() {
        return commodityName;
    }

    public void setCommodityName(String commodityName) {
        this.commodityName = commodityName;
    }

    public Integer getMemberType() {
        return memberType;
    }

    public void setMemberType(Integer memberType) {
        this.memberType = memberType;
    }

    public Integer getCommodityQuantity() {
        return commodityQuantity;
    }

    public void setCommodityQuantity(Integer commodityQuantity) {
        this.commodityQuantity = commodityQuantity;
    }

    public String getTaskComment() {
        return taskComment;
    }

    public void setTaskComment(String taskComment) {
        this.taskComment = taskComment;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getApproval() {
        return approval;
    }

    public void setApproval(Integer approval) {
        this.approval = approval;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    public String getFinanceName() {
        return financeName;
    }

    public void setFinanceName(String financeName) {
        this.financeName = financeName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }


    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
